#include <QDialog>
#include <QApplication>
#include <QDialogButtonBox>
#include <QDoubleSpinBox>
#include <QVBoxLayout>


int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QDialog d;
    d.setObjectName("Dialog");
    d.setWindowTitle(QT_VERSION_STR);
    QVBoxLayout *l = new QVBoxLayout(&d);
    QDoubleSpinBox *dsp = new QDoubleSpinBox(&d);
    dsp->setObjectName("DoubleSpinBox");
    l->addWidget(dsp);
    QDialogButtonBox *db = new QDialogButtonBox(QDialogButtonBox::Cancel, Qt::Horizontal, &d);
    db->setObjectName("DialogButtonBox");
    l->addWidget(db);
    QObject::connect(db,  SIGNAL(rejected()), &d, SLOT(reject()));
    return d.exec();
}

